Index: tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at
===================================================================
--- tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,67 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Bonds from file
+
+AT_SETUP([Molecules - TREMOLO dbond file])
+AT_KEYWORDS([molecules bond-file])
+
+file=silica.pov1.0000.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.pov1.0000.pdb $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.dbond.0000 .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 4 --select-molecule-by-id 0 -A silica.dbond.0000 --skiplines 2 --offset 1 --no-dry-run --store-session session-molecules-tremolo-dbond-file.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - TREMOLO dbond file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([molecules bond-file undo])
+
+file=silica.pov1.0000.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.pov1.0000.pdb $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.dbond.0000 .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 4 --select-molecule-by-id 0 -A silica.dbond.0000 --skiplines 2 --offset 1 --undo --no-dry-run --store-session session-molecules-tremolo-dbond-file.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - TREMOLO dbond file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([molecules bond-file redo])
+
+file=silica.pov1.0000.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.pov1.0000.pdb $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/BondFile/pre/silica.dbond.0000 .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 4 --select-molecule-by-id 0 -A silica.dbond.0000 --skiplines 2 --offset 1 --undo --redo --no-dry-run --store-session session-molecules-tremolo-dbond-file.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+], [ignore])
+
+AT_CLEANUP
